Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.client.xacml
Class DatabaseInterface

    java.lang.Object
      org.exist.client.xacml.DatabaseInterface

public class DatabaseInterface
extends java.lang.Object

Constructor Summary
`DatabaseInterface(Collection systemCollection)`

Method Summary
`RootNode` | `getPolicies()`
`Collection` | `getPolicyCollection()`
`void` | `writePolicies(RootNode root)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatabaseInterface

    public DatabaseInterface(Collection systemCollection)

Method Detail

### getPolicyCollection

    public Collection getPolicyCollection()

### writePolicies

    public void writePolicies(RootNode root)

### getPolicies

    public RootNode getPolicies()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.